Uploaded image for project: 'MariaDB ColumnStore'
  1. MariaDB ColumnStore
  2. MCOL-2016

Error msg should be corrected for NUMBER_BACKUPS variable

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Won't Do
    • 1.2.2
    • Icebox
    • N/A
    • None

    Description

      if ! [[ $NUMBER_BACKUPS =~ $REcheck ]] ; then
      echo "ERROR: NUMBER_BACKUPS not a number" >&2; exit 1
      fi
      if [ $NUMBER_BACKUPS -lt 0 ] || [ $NUMBER_BACKUPS -gt 20 ]; then
      echo "ERROR: NUMBER_BACKUPS must be an integer between 1 and 100 (value: $NUMBER_BACKUPS)" >&2
      exit 1
      fi

      msg should be like

      ""ERROR: NUMBER_BACKUPS must be an integer between 1 and 20"

      Attachments

        Activity

          People

            Unassigned Unassigned
            niljoshi Nilnandan Joshi (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.